#pragma once

/*
 * UsiTwiSlave.cfg.h
 */

// Diese Datei enthält projektspezifische Einstellungen für das USI-TWI-Slave-Modul. 

// --- Adress-Modus ------------------------------------------------------------------------------------------------------

#define TWI_FIXED_TWI_ADDRESS     0x30    // Feste Bus-Adresse des TWI-Slaves.

#define TWI_ACCEPT_BROADCAST_MSG  FALSE   // Transferanforderung über die Broadcast-Adresse (0) werden nicht akzeptiert.

// --- Betriebs-Modus ----------------------------------------------------------------------------------------------------

#define TWI_OPERATION_MODE TWI_MODE_SIMPLE // Einstellung des Betriebs-Modus: Das API meldet I2C-Aktivitäten 
                                           // über das Flag TwiDataReceivedFlag und die Variable TwiData.